vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 3
声望: 0

E:\vnstudio\python.exe E:/vnstudio/Lib/site-packages/vnstation/run.py
Traceback (most recent call last):
File "E:\vnstudio\lib\site-packages\peewee.py", line 2891, in connect
self._state.set_connection(self._connect())
File "E:\vnstudio\lib\site-packages\peewee.py", line 3563, in _connect
conn = psycopg2.connect(database=self.database, self.connect_params)
File "E:\vnstudio\lib\site-packages\psycopg2__init__.py", line 126, in connect
conn = _connect(dsn, connection_factory=connection_factory,
kwasync)
psycopg2.OperationalError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "E:\vnstudio\lib\site-packages\vnstation\cli.py", line 78, in run_trader
module = importlib.import_module(d["module"])
File "E:\vnstudio\lib\importlib__init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "E:\vnstudio\lib\site-packages\vnpy\app\cta_strategy\
init.py", line 9, in <module>
from .engine import CtaEngine
File "E:\vnstudio\lib\site-packages\vnpy\app\cta_strategy\engine.py", line 40, in <module>
from vnpy.trader.database import database_manager
File "E:\vnstudio\lib\site-packages\vnpy\trader\database\
init.py", line 12, in <module>
database_manager: "BaseDatabaseManager" = init(settings=settings)
File "E:\vnstudio\lib\site-packages\vnpy\trader\database\initialize.py", line 10, in init
return init_sql(driver=driver, settings=settings)
File "E:\vnstudio\lib\site-packages\vnpy\trader\database\initialize.py", line 17, in init_sql
_database_manager = init(driver, settings)
File "E:\vnstudio\lib\site-packages\vnpy\trader\database\database_sql.py", line 33, in init
bar, tick = init_models(db, driver)
File "E:\vnstudio\lib\site-packages\vnpy\trader\database\database_sql.py", line 322, in init_models
db.connect()
File "E:\vnstudio\lib\site-packages\peewee.py", line 2894, in connect
self._initialize_connection(self._state.conn)
File "E:\vnstudio\lib\site-packages\peewee.py", line 2732, in
exit
reraise(new_type, new_type(*exc_args), traceback)
File "E:\vnstudio\lib\site-packages\peewee.py", line 183, in reraise
raise value.with_traceback(tb)
File "E:\vnstudio\lib\site-packages\peewee.py", line 2891, in connect
self._state.set_connection(self._connect())
File "E:\vnstudio\lib\site-packages\peewee.py", line 3563, in _connect
conn = psycopg2.connect(database=self.database, **self.connect_params)
File "E:\vnstudio\lib\site-packages\psycopg2\
init__.py", line 126, in connect
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
peewee.OperationalError

Member
avatar
加入于:
帖子: 3
声望: 0

设置PG已经解决.创建DB

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3